Skip to main content
GET
/
senders
List senders
curl --request GET \
  --url https://api.sendkit.dev/senders \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.sendkit.dev/senders"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sendkit.dev/senders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "John Doe",
      "username": "john",
      "email": "john@yourdomain.com",
      "reply_to": "reply@yourdomain.com",
      "domain": {
        "id": "550e8400-e29b-41d4-a716-446655440000",
        "name": "yourdomain.com",
        "status": "verified",
        "region": "us-east-2",
        "open_tracking": true,
        "click_tracking": true,
        "tls": "opportunistic",
        "sending_enabled": true,
        "created_at": "2026-03-03 10:00:00",
        "updated_at": "2026-03-03 10:00:00"
      },
      "created_at": "2026-03-03 10:00:00",
      "updated_at": "2026-03-03 10:00:00"
    }
  ],
  "links": {
    "first": "https://api.sendkit.dev/contacts?page=1",
    "last": "https://api.sendkit.dev/contacts?page=3",
    "prev": null,
    "next": "https://api.sendkit.dev/contacts?page=2"
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 3,
    "per_page": 25,
    "to": 25,
    "total": 75,
    "path": "https://api.sendkit.dev/contacts"
  }
}
{
"message": "Invalid API key."
}

Authorizations

Authorization
string
header
required

API key from your SendKit dashboard. Pass it as a Bearer token in the Authorization header.

Response

A paginated list of senders

data
object[]
meta
object